You are viewing a plain text version of this content. The canonical link for it is here.
Posted to notifications@ant.apache.org by hi...@apache.org on 2012/03/28 22:20:44 UTC

svn commit: r1306570 - in /ant/ivy/updatesite/branches/p2repo-only: doc/index.html signArtifacts.sh verifyArtifacts.sh

Author: hibou
Date: Wed Mar 28 20:20:44 2012
New Revision: 1306570

URL: http://svn.apache.org/viewvc?rev=1306570&view=rev
Log:
Add signing support and documentation

Added:
    ant/ivy/updatesite/branches/p2repo-only/signArtifacts.sh   (with props)
    ant/ivy/updatesite/branches/p2repo-only/verifyArtifacts.sh   (with props)
Modified:
    ant/ivy/updatesite/branches/p2repo-only/doc/index.html

Modified: ant/ivy/updatesite/branches/p2repo-only/doc/index.html
URL: http://svn.apache.org/viewvc/ant/ivy/updatesite/branches/p2repo-only/doc/index.html?rev=1306570&r1=1306569&r2=1306570&view=diff
==============================================================================
--- ant/ivy/updatesite/branches/p2repo-only/doc/index.html (original)
+++ ant/ivy/updatesite/branches/p2repo-only/doc/index.html Wed Mar 28 20:20:44 2012
@@ -45,21 +45,14 @@ The zip distribution needs to be unpacke
 </li>
 </ul>
 
-The binary files then need to be signed and their checksum computed. For the checksums, run:
-<pre>ant checksum</pre>
-And sign the binaries:
-
-<ul>
-<li>For an <u>Ivy</u> release:
-<pre>./signIvyArtifacts.sh</pre>
-</li>
-<li>
-For an <u>IvyDE</u> release:
-<pre>./signIvyDEArtifacts.sh</pre>
-</li>
-</ul>
+The folder of the generated p2 repository is based on the technical version, you might want to rename it. For instance <tt>dist/dev/ivyde-2.2.0.beta1-201203282058-RELEASE</tt> may be renamed <tt>dist/dev/ivyde-2.2.0.beta1</tt>.
+
+Note: from now on in the present doc, ${VERSION} references the renamed version.
+
+Now the binary files need to be signed; run:
+<pre>./signArtifacts.sh ivyde-${VERSION}</pre>
 
-And finally commit your changesin <tt>dist/dev</tt>.
+And finally commit your changes in <tt>dist/dev</tt> (this will put the p2 repository in the dev space of the dist repository).
 
 <h2>Test the updatesite</h2>
 

Added: ant/ivy/updatesite/branches/p2repo-only/signArtifacts.sh
URL: http://svn.apache.org/viewvc/ant/ivy/updatesite/branches/p2repo-only/signArtifacts.sh?rev=1306570&view=auto
==============================================================================
--- ant/ivy/updatesite/branches/p2repo-only/signArtifacts.sh (added)
+++ ant/ivy/updatesite/branches/p2repo-only/signArtifacts.sh Wed Mar 28 20:20:44 2012
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+#   Licensed to the Apache Software Foundation (ASF) under one
+#   or more contributor license agreements.  See the NOTICE file
+#   distributed with this work for additional information
+#   regarding copyright ownership.  The ASF licenses this file
+#   to you under the Apache License, Version 2.0 (the
+#   "License"); you may not use this file except in compliance
+#   with the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+#   Unless required by applicable law or agreed to in writing,
+#   software distributed under the License is distributed on an
+#   "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#   KIND, either express or implied.  See the License for the
+#   specific language governing permissions and limitations
+#   under the License.
+
+if [ -z "$1" ]; then
+    echo "ERR: specify as first argument the name of the repository to sign";
+    exit 1;
+fi;
+
+read -s -p "Key passphrase: " passphrase
+
+for i in dist/dev/$1/features/*.jar; do gpg --passphrase "$passphrase" --output $i.asc --detach-sig --armor $i; done
+for i in dist/dev/$1/plugins/*.jar; do gpg --passphrase "$passphrase" --output $i.asc --detach-sig --armor $i; done

Propchange: ant/ivy/updatesite/branches/p2repo-only/signArtifacts.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: ant/ivy/updatesite/branches/p2repo-only/signArtifacts.sh
------------------------------------------------------------------------------
    svn:executable = *

Propchange: ant/ivy/updatesite/branches/p2repo-only/signArtifacts.sh
------------------------------------------------------------------------------
    svn:keywords = Date Revision Author HeadURL Id

Propchange: ant/ivy/updatesite/branches/p2repo-only/signArtifacts.sh
------------------------------------------------------------------------------
    svn:mime-type = text/plain

Added: ant/ivy/updatesite/branches/p2repo-only/verifyArtifacts.sh
URL: http://svn.apache.org/viewvc/ant/ivy/updatesite/branches/p2repo-only/verifyArtifacts.sh?rev=1306570&view=auto
==============================================================================
--- ant/ivy/updatesite/branches/p2repo-only/verifyArtifacts.sh (added)
+++ ant/ivy/updatesite/branches/p2repo-only/verifyArtifacts.sh Wed Mar 28 20:20:44 2012
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+#   Licensed to the Apache Software Foundation (ASF) under one
+#   or more contributor license agreements.  See the NOTICE file
+#   distributed with this work for additional information
+#   regarding copyright ownership.  The ASF licenses this file
+#   to you under the Apache License, Version 2.0 (the
+#   "License"); you may not use this file except in compliance
+#   with the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+#   Unless required by applicable law or agreed to in writing,
+#   software distributed under the License is distributed on an
+#   "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#   KIND, either express or implied.  See the License for the
+#   specific language governing permissions and limitations
+#   under the License.
+
+for i in dist/dev/*/features/*.jar; do gpg --verify $i.asc; done
+for i in dist/dev/*/plugins/*.jar; do gpg --verify $i.asc; done

Propchange: ant/ivy/updatesite/branches/p2repo-only/verifyArtifacts.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: ant/ivy/updatesite/branches/p2repo-only/verifyArtifacts.sh
------------------------------------------------------------------------------
    svn:executable = *

Propchange: ant/ivy/updatesite/branches/p2repo-only/verifyArtifacts.sh
------------------------------------------------------------------------------
    svn:keywords = Date Revision Author HeadURL Id

Propchange: ant/ivy/updatesite/branches/p2repo-only/verifyArtifacts.sh
------------------------------------------------------------------------------
    svn:mime-type = text/plain